import type { UploadFile } from '../type';
import type { CommonDisplayFileProps } from '../interface';
export interface NormalFileProps extends CommonDisplayFileProps {
    multiple: boolean;
}
declare const NormalFile: import("vue").ComponentOptions<import("vue").default, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    uploadPrefix: import("@vue/composition-api").ComputedRef<string>;
    icons: import("@ldesign/icons-vue").GlobalIconConfig;
}> & import("@vue/composition-api").Data, {
    renderProgress(percent: number): JSX.Element;
    renderFilePreviewAsText(files: UploadFile[]): JSX.Element[];
    renderFilePreviewAsInput(): JSX.Element;
}, {}, {
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: (FunctionConstructor | StringConstructor)[];
    status: import("vue").PropType<"error" | "default" | "success" | "warning">;
    locale: import("vue").PropType<import("../..").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    disabled: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    placeholderClass: import("vue").PropType<string>;
    showUploadProgress: BooleanConstructor;
    default: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: import("vue").CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../..").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
    multiple: BooleanConstructor;
}, import("@vue/composition-api").ExtractPropTypes<{
    files: import("vue").PropType<UploadFile[]>;
    toUploadFiles: import("vue").PropType<UploadFile[]>;
    displayFiles: import("vue").PropType<UploadFile[]>;
    theme: import("vue").PropType<"file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow">;
    abridgeName: import("vue").PropType<number[]>;
    placeholder: StringConstructor;
    classPrefix: StringConstructor;
    tips: (FunctionConstructor | StringConstructor)[];
    status: import("vue").PropType<"error" | "default" | "success" | "warning">;
    locale: import("vue").PropType<import("../..").UploadConfig>;
    sizeOverLimitMessage: StringConstructor;
    autoUpload: BooleanConstructor;
    disabled: BooleanConstructor;
    uploading: BooleanConstructor;
    tipsClasses: import("vue").PropType<string>;
    errorClasses: import("vue").PropType<string[]>;
    placeholderClass: import("vue").PropType<string>;
    showUploadProgress: BooleanConstructor;
    default: import("vue").PropType<(h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue>;
    fileListDisplay: import("vue").PropType<(h: import("vue").CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../..").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue>;
    onRemove: import("vue").PropType<(p: import("../type").UploadRemoveContext) => void>;
    multiple: BooleanConstructor;
}>> & Omit<import("vue").VueConstructor<import("vue").default>, never> & (new (...args: any[]) => import("@vue/composition-api").ComponentRenderProxy<{
    disabled: boolean;
    multiple: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
} & {
    default?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    status?: "error" | "default" | "success" | "warning";
    classPrefix?: string;
    tips?: string;
    errorClasses?: string[];
    placeholder?: string;
    theme?: "file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    files?: UploadFile[];
    abridgeName?: number[];
    fileListDisplay?: (h: import("vue").CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../..").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    placeholderClass?: string;
    sizeOverLimitMessage?: string;
}, import("@vue/composition-api").ShallowUnwrapRef<{
    classes: import("@vue/composition-api").ComputedRef<string[]>;
    uploadPrefix: import("@vue/composition-api").ComputedRef<string>;
    icons: import("@ldesign/icons-vue").GlobalIconConfig;
}>, import("@vue/composition-api").Data, {}, {
    renderProgress(percent: number): JSX.Element;
    renderFilePreviewAsText(files: UploadFile[]): JSX.Element[];
    renderFilePreviewAsInput(): JSX.Element;
}, {}, {}, {}, {
    disabled: boolean;
    multiple: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
} & {
    default?: (h: import("vue").CreateElement) => import("vue/types/vnode").ScopedSlotReturnValue;
    status?: "error" | "default" | "success" | "warning";
    classPrefix?: string;
    tips?: string;
    errorClasses?: string[];
    placeholder?: string;
    theme?: "file" | "custom" | "image" | "file-input" | "file-flow" | "image-flow";
    onRemove?: (p: import("../type").UploadRemoveContext) => void;
    files?: UploadFile[];
    abridgeName?: number[];
    fileListDisplay?: (h: import("vue").CreateElement, props: {
        files: UploadFile[];
        dragEvents?: import("../..").UploadDisplayDragEvents;
    }) => import("vue/types/vnode").ScopedSlotReturnValue;
    locale?: unknown;
    toUploadFiles?: UploadFile[];
    displayFiles?: UploadFile[];
    tipsClasses?: string;
    placeholderClass?: string;
    sizeOverLimitMessage?: string;
}, {
    disabled: boolean;
    multiple: boolean;
    autoUpload: boolean;
    uploading: boolean;
    showUploadProgress: boolean;
}, true>);
export default NormalFile;
